Skip to main content
POST
/
destinations
/
invite
Destination Invite
curl --request POST \
  --url https://api.streamkap.com/destinations/invite \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to_email": "<string>",
  "message": "<string>",
  "connectorType": "<string>",
  "returnUrl": "<string>"
}
'
import requests

url = "https://api.streamkap.com/destinations/invite"

payload = {
"to_email": "<string>",
"message": "<string>",
"connectorType": "<string>",
"returnUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to_email: '<string>',
message: '<string>',
connectorType: '<string>',
returnUrl: '<string>'
})
};

fetch('https://api.streamkap.com/destinations/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Destination Invite body

to_email
string
required

Email address of the user to invite

message
string
required

Custom message to include in the invitation

connectorType
string
required

Type of connector being shared

returnUrl
string | null

URL to redirect to after invitation is accepted

Response

Successful Response